ModuleException (Apache Struts API Documentation)
Keywords: org.apache.struts.util.ModuleException,ModuleException class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.util
Class ModuleException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.apache.struts.util.ModuleException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  AppException

public class ModuleException
extends java.lang.Exception

Used for specialized exception handling.

See Also:
  Serialized Form

Field Summary
`protected ActionError` | `error`
`protected java.lang.String` | `property`

Fields inherited from class java.lang.Exception
``

Fields inherited from class java.lang.Throwable
``

Constructor Summary
`ModuleException(java.lang.String key)` Construct an module exception with no replacement values.
`ModuleException(java.lang.String key, java.lang.Object value)` Construct an module exception with the specified replacement values.
`ModuleException(java.lang.String key, java.lang.Object[] values)` Construct an action error with the specified replacement values.
`ModuleException(java.lang.String key, java.lang.Object value0, java.lang.Object value1)` Construct an module exception with the specified replacement values.
`ModuleException(java.lang.String key, java.lang.Object value0, java.lang.Object value1, java.lang.Object value2)` Construct an module exception with the specified replacement values.
`ModuleException(java.lang.String key, java.lang.Object value0, java.lang.Object value1, java.lang.Object value2, java.lang.Object value3)` Construct an module exception with the specified replacement values.

Method Summary
`ActionError` | `getError()` Returns the error associated with the exception.
`java.lang.String` | `getProperty()` Returns the property associated with the exception.
`void` | `setProperty(java.lang.String property)` Set the property associated with the exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### property

    protected java.lang.String property

### error

    protected ActionError error

Constructor Detail

### ModuleException

    public ModuleException(java.lang.String key)

  Construct an module exception with no replacement values.

Parameters:
  `key` - Message key for this error message

### ModuleException

    public ModuleException(java.lang.String key,
                           java.lang.Object value)

  Construct an module exception with the specified replacement values.

Parameters:
  `key` - Message key for this error message
  `value` - First replacement value

### ModuleException

    public ModuleException(java.lang.String key,
                           java.lang.Object value0,
                           java.lang.Object value1)

  Construct an module exception with the specified replacement values.

Parameters:
  `key` - Message key for this error message
  `value0` - First replacement value
  `value1` - Second replacement value

### ModuleException

    public ModuleException(java.lang.String key,
                           java.lang.Object value0,
                           java.lang.Object value1,
                           java.lang.Object value2)

  Construct an module exception with the specified replacement values.

Parameters:
  `key` - Message key for this error message
  `value0` - First replacement value
  `value1` - Second replacement value
  `value2` - Third replacement value

### ModuleException

    public ModuleException(java.lang.String key,
                           java.lang.Object value0,
                           java.lang.Object value1,
                           java.lang.Object value2,
                           java.lang.Object value3)

  Construct an module exception with the specified replacement values.

Parameters:
  `key` - Message key for this error message
  `value0` - First replacement value
  `value1` - Second replacement value
  `value2` - Third replacement value
  `value3` - Fourth replacement value

### ModuleException

    public ModuleException(java.lang.String key,
                           java.lang.Object[] values)

  Construct an action error with the specified replacement values.

Parameters:
  `key` - Message key for this message
  `values` - Array of replacement values

Method Detail

### getProperty

    public java.lang.String getProperty()

  Returns the property associated with the exception.

  Returns:
    Value of property.

### setProperty

    public void setProperty(java.lang.String property)

  Set the property associated with the exception. It can be a name of the edit field, which 'caused' the exception.

### getError

    public ActionError getError()

  Returns the error associated with the exception.

  Returns:
    Value of property error.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 - Apache Software Foundation